
/*
 * es gibt verschiedene Positionen der Klinge:
 * pos1 0cm Min (Drehscheibe)
 * pos2 6cm
 * pos3 11.5cm
 * pos4 17cm
 * pos5 ??cm Max (Höchste Position)
 * pos bekommt durch den gewählten widerstand ein wert...
 * sie werden, genau wie die Höhe des Kuchens, in Centimetern angegeben?
 * es sollte außerdem eine Funktion geben die die Klinge beim einlegen des Kuchens Positioniert
 * wenn das gerät eingeschaltet wird soll die Klinge erstmal nach ganz oben?
 
Variablen, sind im Haupttab definiert
 
int resistorTolerance = 50;
int heightTolerance = 1; // Ungenauigkeit des Abstandsmessers in cm
int height;   // embodies the hight of the Cake
const int posApin = 3;  //AnalogRead-Pin um die Position der Klinge zu ermitteln
const int bladeUp = 9;   // PWM-Pins für Motor festlegen
const int bladeDown = 10; //pinmodes müssen noch festgelegt werden! (OUTPUT)
*/

void cutCake(){

  digitalWrite(bladeUp,LOW);    //setzt die beiden Bewegungspins auf LOW, damit immer nur einer auf HIGH ist
  digitalWrite(bladeDown,LOW);  //
  
  // wenn posApin ungleich pos1+- rTolerance dann bladeDown! // fährt die Klinge runter
  while((analogRead(posApin) > (pos1 + resistorTolerance)) || (analogRead(posApin) < (pos1 - resistorTolerance))){ 
    digitalWrite(bladeDown, HIGH);
    delay(100); // nicht unbedingt notwendig, damit Widerstandswert beim Schleifkontakt richtig ist!
    
  }
  
  // wenn posApin gleich pos1+- rTolerance dann stopp! //wenn die Klinge unten ist, dann stoppen
  /*if((analogRead(posApin) < (pos1+resistorTolerance)) && (analogRead(posApin) > (pos1-resistorTolerance))){  
    digitalWrite(bladeDown, LOW);
  }*/
  digitalWrite(bladeDown, LOW);


  // wenn Kuchen kleiner als 10cm - hTolerance, dann Klinge bis pos2 fahren
  if((height + heightTolerance) < 6){
    while((analogRead(posApin) > (pos2 + resistorTolerance)) || (analogRead(posApin) < (pos2 - resistorTolerance))){
      digitalWrite(bladeUp, HIGH);
      delay(100);
    }
  }

  //wenn Kuchen kleiner als 15cm - hTolerance, dann Klinge bis pos3 fahren
  if((height + heightTolerance) < 11 && height + heightTolerance >= 6){
    while((analogRead(posApin) > (pos3 + resistorTolerance)) || (analogRead(posApin) < (pos3 - resistorTolerance))){
      digitalWrite(bladeUp, HIGH);
      delay(100);
    }

  }

  //wenn Kuchen kleiner als 20cm - hTolerance, dann Klinge bis pos4 fahren
  if((height + heightTolerance) < 17 && height + heightTolerance >= 11){
    while((analogRead(posApin) > (pos4 + resistorTolerance)) || (analogRead(posApin) < (pos4 - resistorTolerance))){
      digitalWrite(bladeUp, HIGH);
      delay(100);
    }
  }

   digitalWrite(bladeUp, LOW);
   digitalWrite(bladeDown,LOW);
}

void moveBladeUp(){

 
   digitalWrite(bladeUp, LOW);
   digitalWrite(bladeDown, LOW);
   
   while((analogRead(posApin) > (pos4 + resistorTolerance)) || (analogRead(posApin) < (pos4 - resistorTolerance))){ 
    digitalWrite(bladeUp, HIGH);
   }
   digitalWrite(bladeUp, LOW);
  
}

