/*const int stepperRevolution = 200;                         //Anzahl Schritte des Stepper pro Umdehung
const double oneStep = 0.0175;                             //in cm
const int spinnerS = 02;                                   //Pin für an aus für Dreher
const int spinnerD = 03;                                   //Pin für Richtung für Dreher
const int moverS =  04;                                    //Pin für an aus für mover
const int moverD = 05;                                     //Pin für Richtung für mover
char direction = 'l';                         //muss nochmal mit pinMode im steup gecheck werden und der Richtung //die Platte fährt raus mit LOW und rein mit HIGH
const double oneDegreeStep = 0.36;                          //360°=1000 Steps --> Übersetzung von Motor zu Zahnrad
const double spinnerRevolution = 1000;                      //steps für volle Umdrehung der runden Platte
int stepCount=0;                                           //zählt die Schritte die der mover gegangen ist um raus und in die Mitte fahren zu können
int maxStep = 3.8*stepperRevolution;                         //Anzahl der Umdrehungrn bis die Platte drauße ist
*/

void steps (int numberSteps, int motorStatus){             //motor wird über status Pin angesprochen
   for(numberSteps; numberSteps>0; numberSteps--){
    digitalWrite(motorStatus, HIGH);                       //sets the pin on HIGH
    delay(5);                                              // wait for a second
    digitalWrite(motorStatus, LOW);                        // sets the pin on LOW
    delay(5);                                              // wait for a second
   }
    if(direction == 'h'){                                  //wenn moverD auf high, dann werden Werte addiert, die Platte fährt rein
      stepCount+=numberSteps;
    }
    if(direction == 'l'){                                 //wenn moverD auf low, dann werden Werte subtrahiert, die Platte fährt raus
      stepCount-=numberSteps;
    }
}


void moveKK(){
  steps((int)(piecesValue/oneStep), moverS);               //bewegt den Kuchen um pieceValue cm
}

void moveRK(){
  steps((int)(piecesValue/oneDegreeStep), spinnerS);       //bewegt dei runde Platte um pieceValue°
}

void spin180(){
  steps((spinnerRevolution/2), spinnerS);                  //dreht die Platte um 180°
}

void moveMiddle(){                                        //die Mitte ist als 0 deffiniert
  int stepDiff;
  stepDiff = abs(maxSteps-abs(stepCount));
  if(stepCount<=0){                                      
    digitalWrite(moverD, HIGH);
    direction = 'h';
  }
  if(stepCount>0){
    digitalWrite(moverD, LOW);
    direction = 'l';
  }
  steps(stepDiff, moverS);
}

void moveOut(){
  int stepDiff = maxSteps-stepCount;
  digitalWrite(moverD, LOW);
  direction = 'l';
  steps(stepDiff, moverS);
}

